Setup file for easy windows installation

Registered by Chris Ortner on 2008-03-31

Installing P1tr itself isn't such a big deal, even on a Windows platform. The problem are its dependencies. You need Python 2.5, which is not pre-installed, but can be easily installed in case of requirement. When I had installed it, tried the Win32 Twisted installer, and started P1tr afterwards it didn't work. Something about missing dependency Zope Interface or so. I'll paste the correct error msg soon.
When trying to install Twisted from tarball you need the same compiler as used when compiling Python.

An installer for P1tr, done with py2exe and NSIS would make the whole thing almost as easy as apt-get install p1tr.

Blueprint information

Status:
Not started
Approver:
None
Priority:
Low
Drafter:
None
Direction:
Needs approval
Assignee:
None
Definition:
Discussion
Series goal:
None
Implementation:
Unknown
Milestone target:
None

Related branches

Sprints

Whiteboard

(?)

Work Items

This blueprint contains Public information 
Everyone can see this information.

Subscribers

No subscribers.